/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.133 Revision 1.288
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.133 2010/10/30 18:23:26 arfrever Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.288 2015/06/14 13:46:17 pesa Exp $
4
5*PyQt4-4.11.4 (14 Jun 2015)
6
7 14 Jun 2015; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.4.ebuild:
8 Version bump.
9
10 09 Jun 2015; Justin Lecher <jlec@gentoo.org> metadata.xml:
11 Updating remote-id in metadata.xml
12
13 11 May 2015; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.11.2.ebuild,
14 PyQt4-4.11.3.ebuild:
15 Enable tracing with USE=debug; enable configure verbose output to get useful
16 build logs in bug reports; stop passing deprecated --no-timestamp option; use
17 qt4_get_bindir().
18
19 14 Apr 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
20 Stable for ia64, wrt bug #523322
21
22 08 Apr 2015; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.3-r2.ebuild:
23 Drop old Python implementations
24
25 17 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
26 Stable for ppc64, wrt bug #517344
27
28 16 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
29 Stable for ppc, wrt bug #517344
30
31 14 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
32 Stable for x86, wrt bug #517344
33
34 09 Jan 2015; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.3.ebuild:
35 Stop using deprecated python_parallel_foreach_impl.
36
37 31 Dec 2014; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.3-r2.ebuild,
38 PyQt4-4.11.1.ebuild, PyQt4-4.11.2.ebuild:
39 Enforce USE dependency for media-libs/phonon.
40
41 10 Dec 2014; Mikle Kolyada <zlogene@gentoo.org> PyQt4-4.11.1.ebuild:
42 amd64 stable wrt bug #517344
43
44 22 Nov 2014; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.11.1.ebuild:
45 Stable on alpha, bug 523322
46
47*PyQt4-4.11.3 (15 Nov 2014)
48
49 15 Nov 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.3.ebuild,
50 -PyQt4-4.11.3_pre20141024.ebuild:
51 Version bump.
52
53*PyQt4-4.11.3_pre20141024 (01 Nov 2014)
54
55 01 Nov 2014; Davide Pesavento <pesa@gentoo.org>
56 +PyQt4-4.11.3_pre20141024.ebuild, -PyQt4-4.11.2-r1.ebuild:
57 Bump to 4.11.3 prerelease, which contains upstream fixes for bugs #525392 and
58 #525470. Also switch to out-of-source builds.
59
60 15 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.2-r1.ebuild:
61 Fix bug #525392.
62
63 14 Oct 2014; Davide Pesavento <pesa@gentoo.org>
64 +files/PyQt4-4.11.2-phonon.patch, PyQt4-4.11.2-r1.ebuild:
65 Fix building against media-libs/phonon (bug 525354).
66
67*PyQt4-4.11.2-r1 (13 Oct 2014)
68
69 13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2-r1.ebuild,
70 metadata.xml:
71 Switch to new upstream build system. Introduce USE=testlib to decouple QtTest
72 from QtGui.
73
74 09 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
75 Revert to ~amd64, see bug #523322 comment #4.
76
77 09 Oct 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
78 Stable for amd64, wrt bug #523322
79
80 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
81 arm stable, bug #523322
82
83*PyQt4-4.11.2 (20 Sep 2014)
84
85 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
86 PyQt4-4.11.1.ebuild:
87 Version bump. Silence harmless repoman warning.
88
89 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
90 Drop deprecated python versions.
91
92 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
93 PyQt4-4.11.1.ebuild:
94 Stop using dohtml, remove old.
95
96 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
97 Remove old.
98
99*PyQt4-4.11.1 (15 Jul 2014)
100
101 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
102 PyQt4-4.11.ebuild:
103 Version bump.
104
105 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
106 PyQt4-4.11.ebuild:
107 add py3.4 support req'd to support py packages such as pandas
108
109 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
110 PyQt4-4.10.3-r3.ebuild:
111 Restrict sip dep to =4.15* for older PyQt4 versions.
112
113*PyQt4-4.11 (30 May 2014)
114
115 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
116 Version bump.
117
118 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
119 PyQt4-4.10.3-r3.ebuild, metadata.xml:
120 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
121 Martin Walch in bug 510812.
122
123 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
124 -PyQt4-4.10.3.ebuild:
125 Drop the old versions that required python-exec:0.
126
127 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
128 Remove python herd as discussed with them.
129
130*PyQt4-4.10.3-r3 (27 Mar 2014)
131
132 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
133 Replace manual Python wrapping with proper eclass functions, bug #484404.
134
135 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
136 Stable for sparc, wrt bug #495638
137
138 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
139 Stable for x86, wrt bug #495638
140
141 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
142 Stable for alpha, wrt bug #495638
143
144 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
145 Stable for ia64, wrt bug #495638
146
147 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
148 Stable for ppc64, wrt bug #495638
149
150 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
151 amd64 stable, bug 495638
152
153 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
154 Stable for ppc, wrt bug #495638
155
156 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
157 arm stable, bug #495638
158
159 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
160 files/PyQt4-4.7.3-qreal_float_support.patch:
161 Updated qreal_float patch to remove first hunk (already applied
162 upstream). Tested on arm chromebook; no existing bug.
163
164*PyQt4-4.10.3-r2 (25 Dec 2013)
165
166 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
167 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
168 Introduce USE="designer".
169
170 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
171 old
172
173 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
174 Stable for sparc, wrt bug #483112
175
176 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
177 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
178 Update the ebuilds to dep on dev-lang/python-exec.
179
180 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
181 old
182
183*PyQt4-4.10.3-r1 (23 Oct 2013)
184
185 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
186 Support python-exec:2.
187
188 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
189 Depend on sip >=4.15.0 to fix build failure (bug #485274)
190
191 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
192 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
193 Add explicit dep on python-exec:0 since the package wraps the script manually.
194
195*PyQt4-4.10.3 (17 Sep 2013)
196
197 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
198 Version bump
199
200 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
201 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
202 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
203
204 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
205 arm stable, bug #483112
206
207 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
208 Stable for x86, wrt bug #483112
209
210 05 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
211 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
212 Clean up PYTHON_COMPAT from old implementations.
213
214 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
215 Stable for ppc64, wrt bug #483112
216
217 04 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
218 Stable for ppc, wrt bug #483112
219
220 03 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
221 Stable for ia64, wrt bug #483112
222
223 02 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
224 Stable for alpha, wrt bug #483112
225
226 31 Aug 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
227 Stable for amd64, wrt bug #483112
228
229 22 Jul 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.1.ebuild,
230 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
231 Reorder Qt dependencies.
232
233 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
234 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
235 Fixing qtgui/designer deps for qt-4.8.5
236
237 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
238 PyQt4-4.9.6-r2.ebuild:
239 Fixing qtgui deps for qt-4.8.5
240
241 08 Jul 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.2.ebuild:
242 Remove wrong usedep for qtgui.
243
244*PyQt4-4.10.2 (24 Jun 2013)
245
246 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.2.ebuild:
247 Version bump.
248
249 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.ebuild,
250 PyQt4-4.10.1.ebuild:
251 Add PYTHON_REQUIRED_USE. Remove old.
252
253*PyQt4-4.10.1 (22 May 2013)
254
255 22 May 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.10.1.ebuild:
256 Version bump.
257
258 10 May 2013; Patrick Lauer <patrick@gentoo.org> metadata.xml:
259 Remove unused flag description from metadata
260
261 04 May 2013; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4-r1.ebuild,
262 -files/PyQt4-4.7.2-configure.py.patch,
263 -files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
264 old
265
266*PyQt4-4.10 (12 Mar 2013)
267
268 12 Mar 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.ebuild:
269 Version bump. Fix also bug #433944 by Franz Fellner.
270
271 11 Mar 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
272 Stable for sparc, wrt bug #457046
273
274 03 Mar 2013; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.4-r1.ebuild,
275 PyQt4-4.9.6-r2.ebuild:
276 Move Qt dependencies to the new category
277
278 21 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
279 Stable for ia64, wrt bug #457046
280
281 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
282 Stable for ppc64, wrt bug #457046
283
284 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
285 Stable for ppc, wrt bug #457046
286
287 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
288 Stable for alpha, wrt bug #457046
289
290 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
291 Stable for arm, wrt bug #457046
292
293 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
294 Stable for x86, wrt bug #457046
295
296 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
297 Stable for amd64, wrt bug #457046
298
299 15 Feb 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r2.ebuild:
300 BUILDDIR -> BUILD_DIR, fixes bug 457538 by ago.
301
302 13 Feb 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r1.ebuild,
303 -PyQt4-4.9.6.ebuild, PyQt4-4.9.6-r2.ebuild:
304 Fix double prefix; remove old.
305
306 04 Feb 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.9.6-r2.ebuild:
307 Use run_in_build_dir. Add python-3.3 support wrt bug #455020.
308
309*PyQt4-4.9.6-r2 (29 Jan 2013)
310
311 29 Jan 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.9.6-r2.ebuild:
312 Migrate to the new python eclass.
313
314 27 Dec 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r1.ebuild:
315 Improve pyqt4_use_enable() as suggested by Arfrever.
316
317 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.5.ebuild:
318 old
319
320*PyQt4-4.9.6-r1 (26 Dec 2012)
321
322 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
323 metadata.xml:
324 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
325 pyside: rename assistant to help, add script and scripttools (bug 431460 by
326 Arfrever).
327
328*PyQt4-4.9.6 (10 Dec 2012)
329
330 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
331 Version bump, with some minor updates from qt overlay.
332
333 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
334 arm stable, bug #435074
335
336 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
337 PyQt4-4.9.4-r1.ebuild:
338 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
339
340 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
341 -PyQt4-4.9.1.ebuild:
342 Remove old
343
344*PyQt4-4.9.5 (05 Oct 2012)
345
346 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
347 Version bump
348
349 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
350 alpha/ia64/sparc stable wrt #429042
351
352*PyQt4-4.9.4-r1 (03 Sep 2012)
353
354 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
355 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
356 Apply upstream patch to fix regression in pyuic's handling of custom widgets
357 (bug 431070 by Laurent Bachelier).
358
359 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
360 Stable for x86, wrt bug #429042
361
362 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
363 Stable for amd64, wrt bug #429042
364
365 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
366 Stable ppc64, bug #429042
367
368 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
369 Stable ppc, bug #429042
370
371 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
372 ia64 stable
373
374 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
375 -files/PyQt4-4.6.1-configure-multilib.patch:
376 Remove old.
377
378 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
379 PyQt4-4.9.4.ebuild:
380 alpha/ia64/sparc stable wrt #412929
381
382*PyQt4-4.9.4 (02 Jul 2012)
383
384 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
385 -PyQt4-4.9.3.ebuild:
386 Version bump.
387
388*PyQt4-4.9.3 (27 Jun 2012)
389
390 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
391 -PyQt4-4.9.2.ebuild:
392 Version bump.
393
394 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
395 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
396
397*PyQt4-4.9.2 (21 Jun 2012)
398
399 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
400 Version bump
401
402 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
403 Destabling to ~ia64 because last available stable qt will be masked pending
404 removal
405
406 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
407 marked x86 per bug 412929
408
409 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
410 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
411 Inherit eutils.
412
413 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
414 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
415 Revert previous change.
416
417 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
418 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
419 Restrict python 3.1 to match dev-python/dbus-python.
420
421 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
422 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
423
424 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
425 Migrating dev-util/pkgconfig -> virtual/pkgconfig
426
427 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
428 Stable for amd64, wrt bug #412929
429
430 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
431 Stable on alpha, bug #354033
432
433 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
434 PyQt4-4.8.4.ebuild:
435 PyQt4-4.8 does not build with sip-4.13, bug 407291
436
437 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
438 Slightly improve the ewarn message in pkg_postinst().
439
440 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
441 Put qt as the primary herd in metadata.
442
443 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
444 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
445 <slong@rathaus.eclipse.co.uk> in bug #407281.
446
447 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
448 Switch to EAPI 4, add REQUIRED_USE.
449
450 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
451 PyQt4-4.8.4.ebuild:
452 Drop ~x86-fbsd because of unkeyworded dependencies.
453
454 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
455 Don't enable QtAssistant module because it was removed in qt-4.7 and we
456 already depend on 4.7.2 or later.
457
458 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
459 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
460 Restrict pypy for older versions too.
461
462 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
463 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
464 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
465 version.
466
467 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
468 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
469 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
470 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
471 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
472 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
473
474 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
475 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
476 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
477 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
478 Fixing pypy restricts to actually work
479
480*PyQt4-4.9.1 (12 Feb 2012)
481
482 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
483 version bump
484
485 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
486 builds with qt-opengl-4.8.0[egl], updated dep
487
488 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
489 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
490 Fixes backported from Progress Overlay. Patch by Arfrever.
491
492*PyQt4-4.9 (24 Dec 2011)
493
494 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
495 Version bump
496
497*PyQt4-4.8.6 (11 Nov 2011)
498
499 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
500 Version bump
501
502 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
503 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
504 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
505 python overlay.
506
507*PyQt4-4.8.5 (19 Aug 2011)
508
509 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
510 Version bump
511
512 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
513 ppc/ppc64 stable wrt #374591
514
515 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
516 x86 stable, bug #374591
517
518 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
519 ppc64 stable wrt #354033
520
521 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
522 Stable on amd64 wrt bug #374591
523
524 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
525 Marking PyQt4-4.8.3 ppc stable for bug 354033
526
527 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
528 Stable on amd64 wrt bug #354033
529
530 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
531 x86 stable per bug 354033
532
533*PyQt4-4.8.4 (02 May 2011)
534
535 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
536 +PyQt4-4.8.4.ebuild:
537 Version bump.
538
539 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
540 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
541 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
542 Adapt phonon dependency for package move
543
544 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
545 ppc64 stable wrt #349607
546
547 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
548 ia64/sparc stable wrt #349607
549
550 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
551 Stable on alpha, bug #349607
552
553 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
554 PyQt4-4.8.3.ebuild:
555 Update dependencies (bug #353053).
556
557*PyQt4-4.8.3 (25 Jan 2011)
558
559 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
560 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
561 Version bump.
562
563 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
564 x86 stable wrt bug #349607
565
566 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
567 Marking PyQt4-4.8.1 ppc stable for bug 349607
568
569 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
570 Stable on amd64 wrt bug #349607
571
572 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
573 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
574 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
575
576*PyQt4-4.8.1-r1 (30 Dec 2010)
577
578 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
579 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
580 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
581
582 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
583 PyQt4-4.8.2.ebuild:
584 Fix dependencies (bug #349672).
585
586*PyQt4-4.8.2 (24 Dec 2010)
587
588 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
589 +PyQt4-4.8.2.ebuild:
590 Version bump.
591
592 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
593 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
594 Restrict Jython ABIs.
595
596 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
597 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
598 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
599 -files/configure.py.patch:
600 Delete.
601
602 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
603 old, depends on qt 4.5
604
605 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
606 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
607 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
608 Remove HPPA keywording (bug #239441).
4 609
5*PyQt4-4.8.1 (30 Oct 2010) 610*PyQt4-4.8.1 (30 Oct 2010)
6 611
7 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org> 612 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
8 +PyQt4-4.8.1.ebuild: 613 +PyQt4-4.8.1.ebuild:
546*PyQt4-4.0_beta1 (05 May 2006) 1151*PyQt4-4.0_beta1 (05 May 2006)
547 1152
548 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 1153 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
549 +PyQt4-4.0_beta1.ebuild: 1154 +PyQt4-4.0_beta1.ebuild:
550 initial import, from bug #121554 1155 initial import, from bug #121554
551

Legend:
Removed from v.1.133  
changed lines
  Added in v.1.288

  ViewVC Help
Powered by ViewVC 1.1.20